Page 4 of 4

Re: equo install nvidida-drivers killed gdm

Posted: Mon Oct 13, 2008 6:19
by wolfden
its not a kernel issue, if it worked before it should work now

Re: equo install nvidida-drivers killed gdm

Posted: Mon Oct 13, 2008 19:08
by doom0r
If i may interject, it sounds as though the crash while installing the nvidia drivers may have left something around. That error message is usually from a mismatched version from what I've seen. I would suggest cleaning the nvidia files out and starting anew or at the very least, check which module is being loaded. It's possible that the old module that was installed before the abruptly exited install of the latest version is sitting around and is the version that is being loaded to no avail.

To recap, invalid module format on a good compile is a wrong version module. Clean, check symlinks, follow symlinks and check for leftovers, install anew.

Re: equo install nvidida-drivers killed gdm

Posted: Mon Oct 13, 2008 21:59
by wolfden
during the install of nvidia-drivers he should of been unable to install em as a error would of came out saying that there is a version mismatch. I don't recall reading about a crash during install, but I may have missed that part.

There is a new nvidia drive in portage now also. I thought about mentioning to use portage and install the nvidia-drivers, but regardless, if it's mismatch problem, it should fail to install period, unless entropy is different.

Code: Select all

emerge --sync

Code: Select all

emerge nvidia-drivers
if you have kernel mismatch

Code: Select all

# emerge -C nvidia-drivers; rmmod nvidia; rm /lib/modules/$(uname -r)/video/nvidia.ko; rm /usr/lib/opengl/nvidia -rf; emerge nvidia-drivers; eselect opengl set nvidia; reboot
I guess this is one of those cases where something so easy just goes to hell in a handbasket

I should mention also kernel 2.6.27 gentoo-sources is out too, portage of course

Re: equo install nvidida-drivers killed gdm

Posted: Mon Oct 13, 2008 23:04
by lleb
wolfden wrote:during the install of nvidia-drivers he should of been unable to install em as a error would of came out saying that there is a version mismatch. I don't recall reading about a crash during install, but I may have missed that part.

There is a new nvidia drive in portage now also. I thought about mentioning to use portage and install the nvidia-drivers, but regardless, if it's mismatch problem, it should fail to install period, unless entropy is different.

Code: Select all

emerge --sync

Code: Select all

emerge nvidia-drivers
if you have kernel mismatch

Code: Select all

# emerge -C nvidia-drivers; rmmod nvidia; rm /lib/modules/$(uname -r)/video/nvidia.ko; rm /usr/lib/opengl/nvidia -rf; emerge nvidia-drivers; eselect opengl set nvidia; reboot
I guess this is one of those cases where something so easy just goes to hell in a handbasket

I should mention also kernel 2.6.27 gentoo-sources is out too, portage of course
same with equo?

Re: equo install nvidida-drivers killed gdm

Posted: Sat Oct 18, 2008 1:02
by kodiakmax
I had a similiar issue i just fixed. Mine was a fresh install of 3.5 I let Spritz update 649 packages. Everything went smoothly. It also installed a new kernel for me. I went load the new kernel and bam no X. The original kernel still worked just fine. Whenever I tried to startx I would get a nvidia module not found error. Here's what I did.

Check which kernel you are booting into

Code: Select all

uname -r
Check where /usr/src/linux symlink points to

Code: Select all

eselect kernel list
Is the kernel you are booting into selected?
If not

Code: Select all

eselect kernel set 1
Where 1is the number of the correct kernel

emerge drivers

Code: Select all

emerge nvidia-drivers
read text output on screen it tells you what commands to run. The following is what I had to do

Code: Select all

depmod
modprobe -r nvidia
finally set opengl to use nvidia

Code: Select all

eselect opengl set nvidia
maybe this will help some.